package com.solution.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.solution.system.mapper.TreenodeinstanceMapper;
import com.solution.system.domain.Treenodeinstance;
import com.solution.system.service.ITreenodeinstanceService;

/**
 * 行为树实例节点Service业务层处理
 * 
 * @author ruoyi
 * @date 2026-02-05
 */
@Service
public class TreenodeinstanceServiceImpl implements ITreenodeinstanceService 
{
    @Autowired
    private TreenodeinstanceMapper treenodeinstanceMapper;

    /**
     * 查询行为树实例节点
     * 
     * @param id 行为树实例节点主键
     * @return 行为树实例节点
     */
    @Override
    public Treenodeinstance selectTreenodeinstanceById(Long id)
    {
        return treenodeinstanceMapper.selectTreenodeinstanceById(id);
    }

    /**
     * 查询行为树实例节点列表
     * 
     * @param treenodeinstance 行为树实例节点
     * @return 行为树实例节点
     */
    @Override
    public List<Treenodeinstance> selectTreenodeinstanceList(Treenodeinstance treenodeinstance)
    {
        return treenodeinstanceMapper.selectTreenodeinstanceList(treenodeinstance);
    }

    /**
     * 新增行为树实例节点
     * 
     * @param treenodeinstance 行为树实例节点
     * @return 结果
     */
    @Override
    public int insertTreenodeinstance(Treenodeinstance treenodeinstance)
    {
        return treenodeinstanceMapper.insertTreenodeinstance(treenodeinstance);
    }

    /**
     * 修改行为树实例节点
     * 
     * @param treenodeinstance 行为树实例节点
     * @return 结果
     */
    @Override
    public int updateTreenodeinstance(Treenodeinstance treenodeinstance)
    {
        return treenodeinstanceMapper.updateTreenodeinstance(treenodeinstance);
    }

    /**
     * 批量删除行为树实例节点
     * 
     * @param ids 需要删除的行为树实例节点主键
     * @return 结果
     */
    @Override
    public int deleteTreenodeinstanceByIds(Long[] ids)
    {
        return treenodeinstanceMapper.deleteTreenodeinstanceByIds(ids);
    }

    /**
     * 删除行为树实例节点信息
     * 
     * @param id 行为树实例节点主键
     * @return 结果
     */
    @Override
    public int deleteTreenodeinstanceById(Long id)
    {
        return treenodeinstanceMapper.deleteTreenodeinstanceById(id);
    }
}
